DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Types | Public Member Functions | Private Attributes | List of all members
DRTSearch::searchPropertyEqual< IOD, Item, type, arg2, argument2 > Class Template Reference

This implements a search predicate for findItem which looks for some object attribute via the equality operator. More...

## Public Types
typedef OFCondition(Item::* | funcType) (type &, arg2) const
| Type of the getter-function that is used for getting the value.

## Public Member Functions
| searchPropertyEqual (const type &expected, funcType func)
| Constructor. More...
OFBool | operator() (const Item &item)

## Private Attributes
type | m_expected
| The expected value of an item.
funcType | m_func
| Getter function which gets the actual value from an item.

## Detailed Description

### template<typename IOD, typename Item, typename type, typename arg2, arg2 argument2>
class DRTSearch::searchPropertyEqual< IOD, Item, type, arg2, argument2 >

This implements a search predicate for findItem which looks for some object attribute via the equality operator.

Template Parameters

  IOD | the type of the IOD that should be checked
  Item | this should always be IOD::Item. Sadly, MSC6 can't figure that out by itself and so we must explicitly tell it about this type.
  type | the type that is being searched for
  arg2 | the type of the second argument to the getter function
  argument2 | the value of the second argument to the getter function

## Constructor & Destructor Documentation

## ◆ searchPropertyEqual()

template<typename IOD , typename Item , typename type , typename arg2 , arg2 argument2>

DRTSearch::searchPropertyEqual< IOD, Item, type, arg2, argument2 >::searchPropertyEqual | ( | const type & | expected,
|  | funcType | func
| ) |  |
| inline

Constructor.

Parameters

  expected | the expected value that we are searching for
  func | member function that gets us the value from the object

## Member Function Documentation

## ◆ operator()()

template<typename IOD , typename Item , typename type , typename arg2 , arg2 argument2>

OFBool DRTSearch::searchPropertyEqual< IOD, Item, type, arg2, argument2 >::operator() | ( | const Item & | item | ) |
| inline

Returns
  true if the given item has the wanted property

References OFCondition::good(), DRTSearch::searchPropertyEqual< IOD, Item, type, arg2, argument2 >::m_expected, and DRTSearch::searchPropertyEqual< IOD, Item, type, arg2, argument2 >::m_func.

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/drmsrch.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1